import { p as proxyCustomElement, H, h, e as Host } from './p-c3592601.js';
import { a as defaultIconPack, c as useLanguage } from './p-9bcf0d04.js';
import { h as hasOnlyEmojis } from './p-338c7261.js';
import { C as ChatHead } from './p-febe3ebc.js';
import { S as SyncWithStore } from './p-b661e73e.js';
import { T as TextMessageView } from './p-a2f4f9e3.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const RtkTextMessage = /*@__PURE__*/ proxyCustomElement(class RtkTextMessage extends H {
    constructor() {
        super();
        this.__registerHost();
        /** Date object of now, to calculate distance between dates */
        this.now = new Date();
        /** Whether the message is continued by same user */
        this.isContinued = false;
        /** Icon pack */
        this.iconPack = defaultIconPack;
        /** Language */
        this.t = useLanguage();
        /** show message in bubble */
        this.showBubble = false;
    }
    render() {
        return (h(Host, { key: 'c21acb6c8645f4397b468f9f3bd687049503eb50' }, !this.isContinued && (h(ChatHead, { key: 'b7fa598be7d197a761bbb77617d4c9d8a255c48d', name: this.message.displayName, time: this.message.time, now: this.now })), h("div", { key: 'dc13b5f61ff5ecdece68abc33444d5a4e6852d92', class: {
                body: true,
                bubble: this.showBubble,
            }, part: "body" }, h("div", { key: 'a51406f8da3eda94b35b4ed878dffe4bd3f8d5a2', class: { text: true, emoji: hasOnlyEmojis(this.message.message) } }, h(TextMessageView, { key: '65b20790e134d5149c20815e47ab79c039afd437', message: this.message.message })))));
    }
}, [0, "rtk-text-message", {
        "message": [16],
        "now": [16],
        "isContinued": [516, "is-continued"],
        "iconPack": [16],
        "t": [16],
        "showBubble": [4, "show-bubble"]
    }]);
__decorate([
    SyncWithStore()
], RtkTextMessage.prototype, "iconPack", void 0);
__decorate([
    SyncWithStore()
], RtkTextMessage.prototype, "t", void 0);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["rtk-text-message"];
    components.forEach(tagName => { switch (tagName) {
        case "rtk-text-message":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, RtkTextMessage);
            }
            break;
    } });
}
defineCustomElement();

export { RtkTextMessage as R, defineCustomElement as d };
