import { p as proxyCustomElement, H, d as createEvent, h, e as Host } from './p-c3592601.js';
import { s as shorten } from './p-338c7261.js';
import { d as defaultConfig, a as defaultIconPack, c as useLanguage } from './p-9bcf0d04.js';
import { R as Render } from './p-60fdbd75.js';
import { a as gracefulStorage } from './p-a83ccdbd.js';
import { S as SyncWithStore } from './p-b661e73e.js';
import { d as defineCustomElement$7 } from './p-92a1602c.js';
import { d as defineCustomElement$6 } from './p-8fd7ccbf.js';
import { d as defineCustomElement$5 } from './p-3d754c34.js';
import { d as defineCustomElement$4 } from './p-3ed36ca2.js';
import { d as defineCustomElement$3 } from './p-2c95df3f.js';
import { d as defineCustomElement$2 } from './p-bd20259b.js';

const rtkSetupScreenCss = ":host{line-height:initial;font-family:var(--rtk-font-family, sans-serif);font-feature-settings:normal;font-variation-settings:normal}p{margin:var(--rtk-space-0, 0px);padding:var(--rtk-space-0, 0px)}:host{box-sizing:border-box;padding:var(--rtk-space-4, 16px);height:100%;min-height:100%;width:100%;display:flex;place-items:center;justify-content:center;--rtk-controlbar-button-background-color:rgb(var(--rtk-colors-background-700, 44 44 44))}.container{width:100%;max-width:1080px;display:flex;align-items:center;justify-content:space-evenly;gap:var(--rtk-space-4, 16px)}.metadata{width:100%;max-width:var(--rtk-space-80, 320px)}.label{display:flex;flex-direction:column;align-items:center;font-size:14px}.label p{margin-top:var(--rtk-space-0, 0px);margin-bottom:var(--rtk-space-2, 8px);display:inline-block;font-size:16px}.container-tile{display:flex;height:100%;width:100%;max-width:584px;flex-direction:column;gap:var(--rtk-space-2, 8px)}.name{margin:var(--rtk-space-0, 0px);margin-bottom:var(--rtk-space-6, 24px);text-align:center;font-size:28px;font-weight:500;letter-spacing:-0.025em;overflow:hidden;display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:1}input{margin-bottom:var(--rtk-space-6, 24px);display:block;height:var(--rtk-space-10, 40px);width:100%;max-width:var(--rtk-space-80, 320px);border-radius:var(--rtk-border-radius-sm, 4px);--tw-bg-opacity:1;background-color:rgba(var(--rtk-colors-background-1000, 8 8 8) / var(--tw-bg-opacity));padding-left:var(--rtk-space-3, 12px);padding-right:var(--rtk-space-3, 12px);color:rgb(var(--rtk-colors-text-1000, 255 255 255));box-sizing:border-box;font-size:16px;outline:2px solid transparent;outline-offset:2px;transition-property:color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;transition-property:color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;transition-property:color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-duration:150ms}input::-moz-placeholder{color:rgb(var(--rtk-colors-text-600, 255 255 255 / 0.52))}input::placeholder{color:rgb(var(--rtk-colors-text-600, 255 255 255 / 0.52))}input{border:var(--rtk-border-width-sm, 1px) solid rgb(var(--rtk-colors-background-600, 60 60 60))}input:focus{--tw-border-opacity:1;border-color:rgba(var(--rtk-colors-brand-500, 33 96 253) / var(--tw-border-opacity))}rtk-spinner{color:rgb(var(--rtk-colors-text-1000, 255 255 255));--icon-size:var(--rtk-space-8, 32px)}:host([size='sm']) .container,:host([size='md']) .container{height:100%;flex-direction:column;justify-content:space-evenly}:host([size='sm']) .container-tile,:host([size='md']) .container-tile{height:-moz-min-content;height:min-content;flex-direction:column;justify-content:center}rtk-participant-tile{height:auto;width:100%;max-width:584px}.media-selectors{display:flex;flex-direction:column;justify-content:space-between}.media-selectors .row{display:grid;grid-template-columns:repeat(2, minmax(0, 1fr))}.no-network-badge{margin-top:var(--rtk-space-2, 8px);display:flex;width:100%;flex-direction:row;align-items:center;justify-content:flex-start;border-radius:var(--rtk-border-radius-sm, 4px);--tw-bg-opacity:1;background-color:rgba(var(--rtk-colors-brand-500, 33 96 253) / var(--tw-bg-opacity));background-color:rgba(var(--rtk-colors-danger, 255 45 45) / 0.1);padding-top:var(--rtk-space-1, 4px);padding-bottom:var(--rtk-space-1, 4px);font-size:12px;color:rgba(var(--rtk-colors-danger, 255 45 45) / 0.75)}.no-network-badge rtk-icon{margin-left:var(--rtk-space-2, 8px);margin-right:var(--rtk-space-2, 8px)}";
const RtkSetupScreenStyle0 = rtkSetupScreenCss;

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const RtkSetupScreen$1 = /*@__PURE__*/ proxyCustomElement(class RtkSetupScreen extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.stateUpdate = createEvent(this, "rtkStateUpdate", 7);
        /** Config object */
        this.config = defaultConfig;
        /** Icon pack */
        this.iconPack = defaultIconPack;
        /** Language */
        this.t = useLanguage();
        this.isJoining = false;
        this.canEditName = true;
        this.canProduceAudio = true;
        this.socketStateUpdate = ({ state }) => {
            this.connectionState = state;
            if (state === 'failed')
                this.isJoining = false;
        };
        this.join = async () => {
            var _a, _b, _c;
            if (((_a = this.displayName) === null || _a === void 0 ? void 0 : _a.trim()) !== '' && !this.isJoining) {
                this.isJoining = true;
                (_b = this.meeting) === null || _b === void 0 ? void 0 : _b.self.setName(this.displayName);
                gracefulStorage.setItem('rtk-display-name', this.displayName);
                try {
                    await ((_c = this.meeting) === null || _c === void 0 ? void 0 : _c.joinRoom());
                }
                catch (e) {
                    this.isJoining = false;
                }
            }
        };
    }
    connectedCallback() {
        this.meetingChanged(this.meeting);
    }
    disconnectedCallback() {
        this.meeting.meta.removeListener('socketConnectionUpdate', this.socketStateUpdate);
    }
    componentDidLoad() {
        var _a;
        (_a = this.inputEl) === null || _a === void 0 ? void 0 : _a.focus();
    }
    meetingChanged(meeting) {
        var _a, _b, _c;
        if (meeting) {
            this.connectionState = (_a = meeting.meta.socketState) === null || _a === void 0 ? void 0 : _a.state;
            this.canEditName = (_b = meeting.self.permissions.canEditDisplayName) !== null && _b !== void 0 ? _b : true;
            this.displayName = ((_c = meeting.self.name) === null || _c === void 0 ? void 0 : _c.trim()) || (this.canEditName ? '' : 'Participant');
            meeting.meta.addListener('socketConnectionUpdate', this.socketStateUpdate);
        }
    }
    render() {
        var _a, _b, _c;
        const disabled = ((_a = this.displayName) === null || _a === void 0 ? void 0 : _a.trim()) === '' || this.connectionState !== 'connected' || this.isJoining;
        const defaults = {
            meeting: this.meeting,
            config: this.config,
            states: this.states,
            size: this.size,
            iconPack: this.iconPack,
            t: this.t,
        };
        return (h(Host, { key: '4d337a1e3a71a0651fa082a149298129dd7b984a' }, h("div", { key: '24fda5fbca3b4dd0092031d54b90632a20ecc287', class: "container" }, h("div", { key: 'c1d947c44ba11b69f9679c03cd7423581e427a04', class: 'container-tile' }, h(Render, { key: '5fe4a9507ed599f08f808f0cf295c1504ac43799', element: "rtk-participant-tile", defaults: defaults, props: { participant: (_b = this.meeting) === null || _b === void 0 ? void 0 : _b.self, size: 'md', isPreview: true }, childProps: { participant: (_c = this.meeting) === null || _c === void 0 ? void 0 : _c.self, size: 'md' }, deepProps: true }), h("div", { key: 'f0b35c6d5354c3416e72132d53bdda9fd770505b', class: 'media-selectors' }, h("rtk-microphone-selector", Object.assign({ key: 'daec71962a0d368e91fa7d410c09be0321d6e7e1' }, defaults, { variant: "inline" })), h("rtk-camera-selector", Object.assign({ key: 'b61f2afe68d92c48a199bcb22e1df124c392c22d' }, defaults, { variant: "inline" })), h("rtk-speaker-selector", Object.assign({ key: '8368f850725151e63ff390a2a721164e8923a762' }, defaults, { variant: "inline" })))), h("div", { key: 'd29f5f5e680e4614cf5ee378a1533c0e1235cf7c', class: "metadata" }, h("div", { key: 'c0b7e8ef018d34f447775f55e8244927314d70c3', class: "name" }, this.t('setup_screen.join_in_as')), h("div", { key: 'a45332643ef73dd286e48d2ba9b6bddd9625ab60', class: "label" }, h("div", { key: '71633d8d8987bafaa054edace2a18a9960d45f48', class: "name" }, !this.canEditName && shorten(this.displayName, 20))), this.canEditName && (h("input", { key: 'b7609fa43a59a637c14f32c7ad7cde8f67b04bc2', placeholder: this.t('setup_screen.your_name'), value: this.displayName, spellcheck: false, autoFocus: true, ref: (el) => {
                this.inputEl = el;
            }, onInput: (e) => {
                this.displayName = e.target.value;
            }, onKeyDown: (e) => {
                if (e.key === 'Enter') {
                    this.join();
                }
            } })), h("rtk-button", { key: '16599f17361ab91cee7af782e18ac55a75de2f95', size: "lg", kind: "wide", onClick: this.join, disabled: disabled }, this.isJoining ? h("rtk-spinner", { iconPack: this.iconPack }) : this.t('join')), this.connectionState !== 'connected' && (h("div", { key: 'ce111c7cbcd7ce227bd5eda1d9498621f5de0286', class: "no-network-badge" }, h("rtk-icon", { key: '3de05287a1657febc620285394299557042e5218', size: "md", variant: "danger", icon: this.iconPack.disconnected }), this.connectionState === 'failed'
            ? this.t('network.lost_extended')
            : this.t('network.lost')))))));
    }
    static get watchers() { return {
        "meeting": ["meetingChanged"]
    }; }
    static get style() { return RtkSetupScreenStyle0; }
}, [1, "rtk-setup-screen", {
        "meeting": [16],
        "states": [16],
        "size": [513],
        "config": [16],
        "iconPack": [16],
        "t": [16],
        "displayName": [32],
        "isJoining": [32],
        "canEditName": [32],
        "canProduceAudio": [32],
        "connectionState": [32]
    }, undefined, {
        "meeting": ["meetingChanged"]
    }]);
__decorate([
    SyncWithStore()
], RtkSetupScreen$1.prototype, "meeting", void 0);
__decorate([
    SyncWithStore()
], RtkSetupScreen$1.prototype, "states", void 0);
__decorate([
    SyncWithStore()
], RtkSetupScreen$1.prototype, "size", void 0);
__decorate([
    SyncWithStore()
], RtkSetupScreen$1.prototype, "iconPack", void 0);
__decorate([
    SyncWithStore()
], RtkSetupScreen$1.prototype, "t", void 0);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["rtk-setup-screen", "rtk-button", "rtk-camera-selector", "rtk-icon", "rtk-microphone-selector", "rtk-speaker-selector", "rtk-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "rtk-setup-screen":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, RtkSetupScreen$1);
            }
            break;
        case "rtk-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "rtk-camera-selector":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "rtk-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "rtk-microphone-selector":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "rtk-speaker-selector":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "rtk-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const RtkSetupScreen = RtkSetupScreen$1;
const defineCustomElement = defineCustomElement$1;

export { RtkSetupScreen, defineCustomElement };
